//dome pieces

layer_thickness=0.3;

length_a=92.7;
length_b=82.0;

outer_lip_angle=108;
inner_lip_angle=69;

lip_height=8;
lip_thickness=4;
base_thickness=3*layer_thickness;

//linear_extrude(height=1) triangle_equil(length_a,0);

//translate(v=[0,0,3])linear_extrude(height=1) triangle_isosc(length_a,length_b,0);

/*
hull(){
	translate(v=[0,0,0])linear_extrude(height=1) triangle_isosc(length_a,length_b,0);
	translate(v=[0,0,lip_height])linear_extrude(height=1) triangle_isosc(length_a+2*lip_height*sin(outer_lip_angle-90),length_b+2*lip_height*sin(outer_lip_angle-90),0);
}
*/

difference(){
	cylinder(r1=length_a/2, r2=length_a/2+lip_height, h=lip_height, $fn=3);

	translate(v=[0,0,base_thickness]) cylinder(r1=length_a/2-lip_thickness, r2=length_a/2+lip_height-lip_thickness, h=lip_height, $fn=3);
}

translate(v=[length_a+5,0,0])rotate(a=[180,0,0])difference(){
	cylinder(r1=length_a/2, r2=length_a/2+lip_height, h=lip_height, $fn=3);

	translate(v=[0,0,-base_thickness]) cylinder(r1=length_a/2-lip_thickness, r2=length_a/2+lip_height-lip_thickness, h=lip_height, $fn=3);
}


module triangle_equil(side_length,center=0){
	translate(v=[-side_length/2,-1*side_length/3])
	 polygon(points=[[0,0],[cos(60)*side_length,sin(60)*side_length],[side_length,0]]);
}

module triangle_isosc(side_length_base,side_length_sides,center=0){
	translate(v=[-side_length_base/2,-1*side_length_sides/3])
	polygon(points=[
		[0,0],
		[cos( acos((side_length_base/2)/side_length_sides) )*side_length_base,sin( acos((side_length_base/2)/side_length_sides) )*side_length_sides],
		[side_length_base,0]]);
}